package com.gic.haoban.manage.web.vo;


import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author YongEn
 * @date 2021-08-26 10:38:04
 */
public class OperationSettingVO implements Serializable {
    private static final long serialVersionUID = 382528365529162044L;
    /**
     * 是否生效
     */
    private Integer effectFlag;
    /**
     * 操作设置id
     */
    private String settingId;
    /**
     * 企业微信id
     */
    private String wxEnterpriseId;
    /**
     * 导购手机号是否必填 1 是 0 否
     */
    private Integer clerkPhoneFlag;
    /**
     * 店长是否可编辑门店 1 是 0 否
     */
    private Integer storeEditFlag;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 数据状态 1 正常 0 已删除
     */
    private Integer statusFlag;

    public Integer getEffectFlag() {
        return effectFlag;
    }

    public void setEffectFlag(Integer effectFlag) {
        this.effectFlag = effectFlag;
    }

    public String getSettingId() {
        return settingId;
    }

    public void setSettingId(String settingId) {
        this.settingId = settingId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Integer getClerkPhoneFlag() {
        return 1;
    }

    public void setClerkPhoneFlag(Integer clerkPhoneFlag) {
        this.clerkPhoneFlag = 1;
    }

    public Integer getStoreEditFlag() {
        return storeEditFlag;
    }

    public void setStoreEditFlag(Integer storeEditFlag) {
        this.storeEditFlag = storeEditFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    @Override
    public String toString() {
        return "OperationSettingDTO{" +
                "settingId='" + settingId + '\'' +
                ", wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", clerkPhoneFlag=" + clerkPhoneFlag +
                ", storeEditFlag=" + storeEditFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", statusFlag=" + statusFlag +
                '}';
    }
}
